### Hierarchy

- unknown
  - AddressEntryList

## Index

### Constructors

- constructor

### Methods

- addAddressEntry
- clearAddressEntryList
- getAddressEntryList
- serializeBinary
- setAddressEntryList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AddressEntryList(): AddressEntryList

- Inherited from jspb.Message.constructor

  #### Returns AddressEntryList

## Methods

### addAddressEntry

- addAddressEntry(value?: AddressEntry, index?: number): AddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6258

  #### Parameters

  - ##### Optional value: AddressEntry

  - ##### Optional index: number

  #### Returns AddressEntry

### clearAddressEntryList

- clearAddressEntryList(): AddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:6257

  #### Returns AddressEntryList

### getAddressEntryList

- getAddressEntryList(): AddressEntry []

- - Defined in src/protobuf/pb_pb.d.ts:6255

  #### Returns AddressEntry []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6260

  #### Returns Uint8Array

### setAddressEntryList

- setAddressEntryList(value: AddressEntry []): AddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:6256

  #### Parameters

  - ##### value: AddressEntry []

  #### Returns AddressEntryList

### toObject

- toObject(includeInstance?: boolean): AddressEntryList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6261

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AddressEntryList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:6264

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddressEntryList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddressEntryList, reader: BinaryReader): AddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:6265

  #### Parameters

  - ##### message: AddressEntryList

  - ##### reader: BinaryReader

  #### Returns AddressEntryList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AddressEntryList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6263

  #### Parameters

  - ##### message: AddressEntryList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AddressEntryList ): AddressEntryList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6262

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddressEntryList

  #### Returns AddressEntryList . AsObject

Generated using TypeDoc